<?php
switch ($tela):
case 'excel':




   break;
	
default:


$matriz[1][1]="Oto";
$matriz[2][1]="Angela";
$matriz[3][1]="Hugo";

$matriz[1][2]="silas@bol";
$matriz[2][2]="hipno@hotdog";
$matriz[3][2]="hugo@hotdog";

$matriz[1][3]="rua laerte chou";
$matriz[2][3]="cupertino";
$matriz[3][3]="bh";

$pedra="inteligente";
$pinico="burro";
$fofo="gogloer";



/*este trhecho cria arquivo na boa mas nao é muito pratico sgundo o autor
	#versao do encoding xml
	$dom = new DOMDocument("1.0", "ISO-8859-1");
	 
	#retirar os espacos em branco
	$dom->preserveWhiteSpace = false;
	 
	#gerar o codigo
	$dom->formatOutput = true;
	 
	#criando o nó principal (root)
	$root = $dom->createElement("agenda");
	 
	#nó filho (contato)
	$contato = $dom->createElement("contato");
	 
	#setanto nomes e atributos dos elementos xml (nós)
	$nome = $dom->createElement("nome", "oto gugeler");
	$telefone = $dom->createElement("telefone", "(34) 3212-6384");
	$endereco = $dom->createElement("endereco", "Av. Laerte, 890");
	 
	#adiciona os nós (informacaoes do contato) em contato
	$contato->appendChild($nome);
	$contato->appendChild($telefone);
	$contato->appendChild($endereco);
	 
	#adiciona o nó contato em (root) agenda
	$root->appendChild($contato);
	$dom->appendChild($root);

	 
	# Para salvar o arquivo, descomente a linha
	$dom->save("segundoxml.xml");



	 
	#cabeçalho da página
	header("Content-Type: text/xml");
	# imprime o xml na tela
	//print $dom->saveXML();

*/
	
	
	
	
/*	
Neste exemplo utilizamos dados pré-definidos, mas poderiamos ter utilizado o resultado de uma consulta SQL.

Exemplo funcionando Exemplo XML

Agora, o resultado é excelente, porém, repetir esses comandos acima para cada contato é bem desgastante, vejamos uma função para automatizar a criação dos contatos.
1	


*/

/*
    //isso aqui funciona beleza criando um array com 2 registros
	function addContato($document, $nome, $fone, $end)
	{
	 #criar contato
	 $contato = $document->createElement("contato");
	 
	 #criar nó nome
	 $nomeElm = $document->createElement("nome", $nome);
	 
	 #fone
	 $foneElm = $document->createElement("telefone", $fone);
	 
	 #endereco
	 $endElm = $document->createElement("endereco", $end);
	 
	 $contato->appendChild($nomeElm);
	 $contato->appendChild($foneElm);
	 $contato->appendChild($endElm);
	 return $contato;
	}
	 
	$dom = new DOMDocument("1.0", "ISO-8859-1");
	$dom->preserveWhiteSpace = false;
	$dom->formatOutput = true;
	 
	$root = $dom->createElement("agenda");
	 
	#utilizando a funcao para criar contatos
	$Tiao = addContato($dom, "Oto.", "5555-4444", "R. Jaú, 3");
	$Joao = addContato($dom, "Angela.", "4444-5555", "R. Itú, 4");
	 
	#adicionando no root
	$root->appendChild($Tiao);
	$root->appendChild($Joao);
	$dom->appendChild($root);
	 
	#salvando o arquivo
	$dom->save("agenda.xml");
	 
	#mostrar dados na tela
	header("Content-Type: text/xml");
	print $dom->saveXML();
    //final da criacao do array com 2 registros
*/

    //isso aqui vai criar um arrau a partir de dados de uma consulta ou de uma matriz
	function addContato($document, $nome, $fone, $end)
	{
	 #criar contato
	 $contato = $document->createElement("contato");
	 
	 #criar nó nome
	 $nomeElm = $document->createElement("nome", $nome);
	 
	 #fone
	 $foneElm = $document->createElement("telefone", $fone);
	 
	 #endereco
	 $endElm = $document->createElement("endereco", $end);
	 
	 $contato->appendChild($nomeElm);
	 $contato->appendChild($foneElm);
	 $contato->appendChild($endElm);
	 return $contato;
	}
	 
	$dom = new DOMDocument("1.0", "ISO-8859-1");
	$dom->preserveWhiteSpace = false;
	$dom->formatOutput = true;
	 
	$root = $dom->createElement("agenda");
	 
	#utilizando a funcao para criar contatos
	//$Tiao = addContato($dom, "Oto.", "5555-4444", "R. Jaú, 3");
	//$Joao = addContato($dom, "Angela.", "4444-5555", "R. Itú, 4");
	for($i=1;$i<=3;$i++):
		$Tiao = addContato($dom, $matriz[$i][1],$matriz[$i][2],$matriz[$i][3]);
	    $root->appendChild($Tiao);
	endfor;
	
	 
	#adicionando no root
	//$root->appendChild($Tiao);
	//$root->appendChild($Joao);
	$dom->appendChild($root);
	 
	#salvando o arquivo
	$dom->save("arquivosxml/oto4.xml");
	 
	#mostrar dados na tela
	header("Content-Type: text/xml");
	print $dom->saveXML();
    //final da criacao do array com 2 registros






	 
/*

A função acima produz o mesmo resultado que o primeiro exemplo, porém de uma forma mais simples na hora de criar os contatos, sendo assim para utilizar em seus estudos aconselho utilizar a função do segundo exemplo.

Exemplo funcionando Exemplo XML utilizando a função

Leia o outro post sobre gerar XML com PHP em :
http://clares.com.br/2009/09/29/gerar-xml-com-php5-e-xmlwriter/

Este outro post é ainda mais simples de entender.

Até a próxima,

Rafael Clares 
*/


/* aqui outro exemplo para ver e testar/////////////////////
$xmlstr = <<<XML
<?xml version='1.0' standalone='yes'?>
<movies>
 <movie>
  <title>PHP: Behind the Parser</title>
  <characters>
   <character>
    <name>Ms. Coder</name>
    <actor>Onlivia Actora</actor>
   </character>
   <character>
    <name>Mr. Coder</name>
    <actor>El Act&#211;r</actor>
   </character>
  </characters>
  <plot>
   So, this language. It's like, a programming language. Or is it a
   scripting language? All is revealed in this thrilling horror spoof
   of a documentary.
  </plot>
  <great-lines>
   <line>PHP solves all my web problems</line>
  </great-lines>
  <rating type="thumbs">7</rating>
  <rating type="stars">5</rating>
 </movie>
</movies>
XML;
*///////////////////////////////////////////////////



break;
endswitch;
?>